#ifndef SERVER_H
#define SERVER_H

#define PAGE_SIZE 5
#define USERNAME_MAX_LEN 256

int findUser(char * username);

int check_password(int idx, char * password);
int add_user(char * username, char * password);
int modify_username(char * old_uname, char * new_uname);
int modify_password(char * uname, char * new_pwd);
bool delete_user(char * uname);
size_t get_user_pages();
bool get_users(char * buff, int page);
uint8_t verify_token(uint64_t token);

#endif
